summaryrefslogtreecommitdiffstats
path: root/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
diff options
context:
space:
mode:
authorXu, Yanfei <yanfei.xu@windriver.com>2021-11-01 18:13:19 +0800
committerBruce Ashfield <bruce.ashfield@gmail.com>2021-11-02 09:57:03 -0400
commit3bff112a44699e8df63e125580699cc5e288bf0f (patch)
tree91a2876f60f90de78aca89c42b3fe9923907f169 /recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
parentf71bedc29d838cf0bcbf0856a4c7c47a51f79cb5 (diff)
downloadmeta-virtualization-3bff112a44699e8df63e125580699cc5e288bf0f.tar.gz
lxc: update to 4.0.11
update to 4.0.11 1.drop two patches that have been integrated to upstream repo. 2.drop tests-add-no-validate-when-using-download-template.patch because it is no longer appropriate as the "download" has been replaced with "busybox" 3.fix the apply failure of templates-use-curl-instead-of-wget.patch 4.update lxc from 4.0.10 to 4.0.11 Signed-off-by: Yanfei Xu <yanfei.xu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
Diffstat (limited to 'recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch')
-rw-r--r--recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch23
1 files changed, 13 insertions, 10 deletions
diff --git a/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch b/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
index 156df82f..4556293a 100644
--- a/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
+++ b/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
@@ -1,4 +1,4 @@
1From 07890dd8ffdcd08b7be1ddbd9f56ac55482c76bb Mon Sep 17 00:00:00 2001 1From 1db2db7783bd7ec2aa1da86e640019891634c659 Mon Sep 17 00:00:00 2001
2From: Joakim Roubert <joakimr@axis.com> 2From: Joakim Roubert <joakimr@axis.com>
3Date: Fri, 16 Aug 2019 07:52:48 +0200 3Date: Fri, 16 Aug 2019 07:52:48 +0200
4Subject: [PATCH] Use curl instead of wget 4Subject: [PATCH] Use curl instead of wget
@@ -7,16 +7,16 @@ When curl's MIT license is preferable to wget's GPLv3.
7 7
8Change-Id: I4684ae7569704514fdcc63e0655c556efcaf44f8 8Change-Id: I4684ae7569704514fdcc63e0655c556efcaf44f8
9Signed-off-by: Joakim Roubert <joakimr@axis.com> 9Signed-off-by: Joakim Roubert <joakimr@axis.com>
10 10Signed-off-by: Yanfei Xu <yanfei.xu@windriver.com>
11--- 11---
12 templates/lxc-download.in | 10 +++++----- 12 templates/lxc-download.in | 10 +++++-----
13 1 file changed, 5 insertions(+), 5 deletions(-) 13 1 file changed, 5 insertions(+), 5 deletions(-)
14 14
15diff --git a/templates/lxc-download.in b/templates/lxc-download.in 15diff --git a/templates/lxc-download.in b/templates/lxc-download.in
16index d7e6128..8a4b567 100644 16index e8570692a..f7291b0cc 100755
17--- a/templates/lxc-download.in 17--- a/templates/lxc-download.in
18+++ b/templates/lxc-download.in 18+++ b/templates/lxc-download.in
19@@ -74,9 +74,9 @@ cleanup() { 19@@ -75,9 +75,9 @@ cleanup() {
20 fi 20 fi
21 } 21 }
22 22
@@ -28,18 +28,18 @@ index d7e6128..8a4b567 100644
28 return 0 28 return 0
29 fi 29 fi
30 done 30 done
31@@ -85,8 +85,8 @@ wget_wrapper() { 31@@ -86,8 +86,8 @@ wget_wrapper() {
32 } 32 }
33 33
34 download_file() { 34 download_file() {
35- if ! wget_wrapper -T 30 -q "https://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then 35- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "https://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then
36- if ! wget_wrapper -T 30 -q "http://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then 36- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "http://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then
37+ if ! curl_wrapper -m 30 -s "https://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then 37+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "https://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then
38+ if ! curl_wrapper -m 30 -s "http://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then 38+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "http://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then
39 if [ "$3" = "noexit" ]; then 39 if [ "$3" = "noexit" ]; then
40 return 1 40 return 1
41 else 41 else
42@@ -271,7 +271,7 @@ while :; do 42@@ -277,7 +277,7 @@ while :; do
43 done 43 done
44 44
45 # Check for required binaries 45 # Check for required binaries
@@ -48,3 +48,6 @@ index d7e6128..8a4b567 100644
48 if ! command -V "${bin}" >/dev/null 2>&1; then 48 if ! command -V "${bin}" >/dev/null 2>&1; then
49 echo "ERROR: Missing required tool: ${bin}" 1>&2 49 echo "ERROR: Missing required tool: ${bin}" 1>&2
50 exit 1 50 exit 1
51--
522.27.0
53